<div id="search-component">
  <label for="search-box">Hero Search</label>
<!--  Catch de l'event input-->
  <input #searchBox id="search-box" (input)="search(searchBox.value)" />

  <ul class="search-result">
<!--    The $ is a convention that indicates heroes$ is an Observable, not an array.-->
    <li *ngFor="let hero of heroes$ | async" >
      <a routerLink="/detail/{{hero.id}}">
        {{hero.name}}
      </a>
    </li>
  </ul>
</div>
